Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::SearchResults Class Reference

`#include <SearchResults.h>`

## Public Member Functions

| SearchResults ()
| SearchResults (std::vector< std::unique_ptr< ROMol > > &&mols, std::uint64_t maxNumRes, bool timedOut, bool cancelled)
| SearchResults (const SearchResults &other)
| SearchResults (SearchResults &&other)=default
| ~SearchResults ()=default
SearchResults & | operator= (const SearchResults &other)
SearchResults & | operator= (SearchResults &&other)=default
std::uint64_t | getMaxNumResults () const
const std::vector< std::unique_ptr< ROMol > > & | getHitMolecules () const
bool | getTimedOut () const
bool | getCancelled () const
void | mergeResults (SearchResults &other)

## Detailed Description

Definition at line 30 of file SearchResults.h.

## Constructor & Destructor Documentation

## SearchResults() [1/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( |  | ) |

inline explicit

Definition at line 32 of file SearchResults.h.

Referenced by mergeResults(), operator=(), operator=(), SearchResults(), and SearchResults().

## SearchResults() [2/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( | std::vector< std::unique_ptr< ROMol > > && | mols,
|  | std::uint64_t | maxNumRes,
|  | bool | timedOut,
|  | bool | cancelled )

## SearchResults() [3/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( | const SearchResults & | other | ) |

References SearchResults().

## SearchResults() [4/4]

RDKit::SynthonSpaceSearch::SearchResults::SearchResults | ( | SearchResults && | other | ) |

default

References SearchResults().

## ~SearchResults()

RDKit::SynthonSpaceSearch::SearchResults::~SearchResults | ( |  | ) |

default

## Member Function Documentation

## getCancelled()

bool RDKit::SynthonSpaceSearch::SearchResults::getCancelled | ( |  | ) | const

inline

Returns whether the search was cancelled or not,

Returns
  bool

Definition at line 70 of file SearchResults.h.

## getHitMolecules()

const std::vector< std::unique_ptr< ROMol > > & RDKit::SynthonSpaceSearch::SearchResults::getHitMolecules | ( |  | ) | const

inline

Returns the hit molecules from the search. Not necessarily all those possible, just the maximum number requested.

Returns
  std::vector<std::unique_ptr<ROMol>>

Definition at line 57 of file SearchResults.h.

## getMaxNumResults()

std::uint64_t RDKit::SynthonSpaceSearch::SearchResults::getMaxNumResults | ( |  | ) | const

inline

Returns the upper bound on the number of results the search might return. There may be fewer than this in practice for several reasons such as duplicate reagent sets being removed or the final product not matching the query even though the synthons suggested it would.

Returns
  int

Definition at line 50 of file SearchResults.h.

## getTimedOut()

bool RDKit::SynthonSpaceSearch::SearchResults::getTimedOut | ( |  | ) | const

inline

Returns whether the search timed out or not,

Returns
  bool

Definition at line 65 of file SearchResults.h.

## mergeResults()

void RDKit::SynthonSpaceSearch::SearchResults::mergeResults | ( | SearchResults & | other | ) |

References SearchResults().

## operator=() [1/2]

SearchResults & RDKit::SynthonSpaceSearch::SearchResults::operator= | ( | const SearchResults & | other | ) |

References SearchResults().

## operator=() [2/2]

SearchResults & RDKit::SynthonSpaceSearch::SearchResults::operator= | ( | SearchResults && | other | ) |

default

References SearchResults().

The documentation for this class was generated from the following file:

- SearchResults.h